KubeOne(1)

NAME
kubeone-config-print - Print an example configuration manifest

SYNOPSIS
kubeone config print [flags]

DESCRIPTION
Print an example configuration manifest. Using the appropriate flags you can customize the configuration manifest. For the full reference of the configuration manifest, run the print command with --full flag.

OPTIONS
--api-endpoint-alternative-names=[]
    Comma separated list of API endpoint alternative names, example: host.com,192.16.0.100

--api-endpoint-host=""
    API endpoint hostname or address

--api-endpoint-port=6443
    API endpoint port

-n, --cluster-name="demo-cluster"
    cluster name

--container-log-max-files=5
    ContainerLogMaxFiles

--container-log-max-size="100Mi"
    ContainerLogMaxSize

--control-plane-hosts=""
    control plane hosts in format of comma-separated key:value list, example: publicAddress:192.168.0.100,privateAddress:192.168.1.100,sshUsername:ubuntu,sshPort:22. Use quoted string of space separated values for multiple hosts

--deploy-machine-controller[=true]
    deploy kubermatic machine-controller

--enable-dynamic-audit-log[=false]
    enable DynamicAuditLog

--enable-encryption-providers[=false]
    enable Encryption Providers

--enable-metrics-server[=true]
    enable metrics-server

--enable-openid-connect[=false]
    enable OpenID Connect authentication

--enable-pod-node-selector[=false]
    enable PodNodeSelector admission plugin

--enable-pod-security-policy[=false]
    enable PodSecurityPolicy. NO-OP: this feature is removed

--enable-static-audit-log[=false]
    enable StaticAuditLog

-f, --full[=false]
    show full manifest

-h, --help[=false]
    help for print

-k, --kubernetes-version="v1.34.3"
    Kubernetes version

--node-port-range=""
    Port range to be used for NodePort

--pod-subnet=""
    Subnet to be used for pods networking

-p, --provider="aws"
    cloud provider name (aws, digitalocean, gce, hetzner, equinixmetal, openstack, vsphere, none)

--proxy-http=""
    HTTP proxy to be used for provisioning and Docker

--proxy-https=""
    HTTPs proxy to be used for provisioning and Docker

--proxy-no-proxy=""
    No Proxy to be used for provisioning and Docker

--service-dns=""
    Domain name to be used for Services

--service-subnet=""
    Subnet to be used for Services

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone config print --provider digitalocean --kubernetes-version v1.34.3 --cluster-name example

SEE ALSO
kubeone-config(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra